Integration Write Info
curl --request GET \
--url https://production.trackstarhq.com/integrations/{integration_type}/{integration_name}/write-info \
--header 'x-trackstar-api-key: <x-trackstar-api-key>'import requests
url = "https://production.trackstarhq.com/integrations/{integration_type}/{integration_name}/write-info"
headers = {"x-trackstar-api-key": "<x-trackstar-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-trackstar-api-key': '<x-trackstar-api-key>'}};
fetch('https://production.trackstarhq.com/integrations/{integration_type}/{integration_name}/write-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"openapi": "3.1.0",
"paths": {
"/wms/returns": {
"post": {
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/CreatewmsReturnOngoingSchema"
}
}
}
},
"responses": {
"200": {
"description": "Create WMS Return output"
}
}
}
}
},
"components": {
"schemas": {
"CreatewmsReturnOngoingSchema": {
"type": "object",
"properties": {
"return_number": {
"type": "string",
"description": "Return number"
},
"order_id": {
"type": "string",
"description": "The ID of the order that the return is associated with. Can be passed into the [Order](/api-reference/wms-api/orders/get-item) endpoint for more details.",
"example": "order_id"
},
"warehouse_id": {
"type": "string",
"description": "The ID of the warehouse receiving the return. Can be passed into the [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for more details.",
"example": "warehouse"
},
"line_items": {
"type": "array",
"description": "A list of inventory items included in the return.",
"example": [
{
"sku": "TEST-SKU",
"expected_quantity": 1,
"return_cause": null
}
],
"items": {
"$ref": "#/components/schemas/WmsReturnWriteLineItemongoing"
}
},
"tracking_number": {
"type": "string",
"description": ""
},
"tracking_url": {
"type": "string",
"description": ""
},
"trackstar_tags": {
"type": [
"array",
"null"
],
"description": "A list of custom tags associated with the resource. A tag can be either a string or a dictionary with one key-value pair.",
"example": [
"tag1",
"tag2",
{
"tag3": "value3"
}
],
"items": {}
}
},
"required": [
"line_items",
"order_id",
"return_number"
],
"additionalProperties": false,
"title": "CreatewmsReturnOngoingSchema"
},
"WmsReturnWriteLineItemongoing": {
"type": "object",
"properties": {
"sku": {
"type": "string",
"description": ""
},
"expected_quantity": {
"type": "integer",
"description": "",
"example": 0
},
"return_cause": {
"$ref": "#/components/schemas/ReturnCause"
}
},
"required": [
"expected_quantity",
"sku"
],
"additionalProperties": false,
"title": "WmsReturnWriteLineItemongoing"
},
"ReturnCause": {
"type": "object",
"properties": {
"code": {
"type": "string",
"enum": [
"1",
"13",
"3"
],
"description": "The reason code for this return. Specific to your connection."
},
"return_reason": {
"type": [
"string",
"null"
],
"enum": [
"damaged",
"wrong size",
"no longer needed"
],
"description": "The reason description for this return. Specific to your connection."
}
},
"required": [
"code"
],
"additionalProperties": false,
"title": "ReturnCause"
}
}
}
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Admin API Reference
Integration Write Info
The spec for all the write operations supported by an integration, in OpenAPI 3.1.0 format. Also provides the connection-specific fields for an integration if you pass in the access token.
GET
/
integrations
/
{integration_type}
/
{integration_name}
/
write-info
Integration Write Info
Headers
Your organization-level Trackstar API key.
Example:
"<x-trackstar-api-key>"
Optional. Pass this in to get connection-specific field information. Your user's access token for a specific integration (ShipHero, Extensiv, etc).
Example:
"<x-trackstar-access-token>"
Path Parameters
The type of integration to filter by.
Available options:
wms, freight, cart, carrier, erp The name of the integration to filter by.
Response
OpenAPI 3.1.0 formatted JSON
The response is of type PassthroughSchema · object.
⌘I